<template>
  <footer class="bg-red-500 font-footer">
    <section
      class="flex flex-col items-center justify-center flex-wrap px-4 py-8 sm:px-8 sm:py-12 lg:flex-no-wrap lg:flex-row lg:items-start lg:justify-between lg:content-between xl:px-16"
    >
      <div class="flex-1 flex flex-col items-center justify-center text-white lg:items-start">
        <g-image
          class="object-contain w-32 h-12"
          :src="logo.image"
          :alt="logo.description"
          width="206"
          height="52"
          immediate="true"
        />
        <hyper-link
          class="mt-1 text-white hover:text-gray-400 hover:underline"
          v-for="link in links"
          :key="link.id"
          :to="link.path"
        >{{ link.label }}</hyper-link>
      </div>
      <div class="flex-1 flex justify-center mt-6 lg:mt-0">
        <hyper-link
          class="text-white hover:text-gray-400"
          :to="`mailto:${email}`"
          ariaLabel="Send us an email"
        >
          <!-- Mail Icon Start -->
          <svg
            class="h-10 w-10 mr-6 fill-current"
            xmlns="http://www.w3.org/2000/svg"
            viewBox="0 0 55.2 36.078"
          >
            <path
              d="M54.72 1.44C49.116.624 43.688 1.328 39.6.48c-1.589.431-3.401-.189-4.8.48.134-.489.723-.471.24-.96h-.24v.72c-.628.067-1.032-.088-.96-.72h-1.68c.582.865-2.091.86-1.2.24V0h-.24c-.607.985-2.19-.324-2.64.96-.874.233-.111-1.169-1.2-.72V0h-.24c-.349.371-.936.504-1.68.48V0h-2.64c-2.022.9-5.722-.171-7.92.96.18-.453.716-.167.24-.72C10.967 1.017 1.363-.904 0 1.92v12.24c.178 1.939.798 5.16 0 6v.24c.663 4.561-.038 10.493.48 14.88 3.066 1.026 6.613.8 9.84.721 12.267-.304 25.72-.658 38.88-.721 2.233-.011 5.485 1.128 6-.96v-.72c-.717-10.162.237-21.997-.48-32.16zm-24 2.16c2.248-.05 4.519.419 7.2.24 2.883-.193 8.015-.713 12.72-.48-7.626 5.734-14.997 11.723-22.56 17.521-3.638-2.042-5.778-5.582-9.6-7.44.143-.766-.45-.742 0-1.2-.245-.555-1.104-.497-1.92-.48.039-.281.438-.202.72-.24-.731-.229-1.031-.889-2.16-.72.871-1.525-3.435-2.977-4.08-3.6.017.017-.963-1.611-2.16-.96 1.085-.613-.524-1.111-1.2-1.92 8.931-.362 15.48-.552 23.04-.721zM3.84 29.761c-.578-8.619-.184-16.484-.96-24.96 4.885 3.036 10.235 7.686 15.36 11.28-1.588 2.894-5.475 3.904-6 6 .103.397-.895-.021-.96-.239-.386-.104-.805.895-.24.96-.711-.079-.636-.087-.96 1.2-1.289-.129-3.085 1.788-3.36 3.6-.996-1.02-1.97 1.551-2.88 2.159zM47.52 32.4c-14.903.3-27.611.942-42.479.72 4.439-5.721 10.109-10.21 14.88-15.6 2.948 2.093 5.212 4.867 8.4 6.72.37-.127.016-.25-.24-.239 1.316-.896 1.488-.71 2.64-2.16.75.387-.492.76-.479 1.199.784-.495 1.099-1.461 2.399-1.439-.076-.557.039-.922.24-1.2-.234 1.108 1.578-.624 1.2-.96 2.65-1.153 3.548 2.557 5.52 2.4.408.155.15.552-.239.479 3.642 3.612 6.383 7.161 10.56 9.84-.565.612-2.268 1.04-2.402.24zM37.441 16.08c1.911-.907 3.963-2.891 5.76-3.12-.304-.731 1.072-.713 1.2-1.68.481.022.207.536-.068.682.355-.064 1.059-.153 1.268-.441.173-.237.211-.394.195-.498-.471-.156-.043-.273 0 0 .018.006.023.011.045.018-.031-.009 1.159-.693.72-1.44 1.306.775 3.512-1.354 3.841-3.12.562 1.03.569-.266 1.68 0 .006 8.588.4 15.976.479 24.96-4.797-5.365-10.544-9.777-15.12-15.361z"
            />
          </svg>
          <!-- Mail Icon End -->
        </hyper-link>
        <hyper-link
          class="text-white hover:text-gray-400"
          :to="`//twitter.com/${twitter}`"
          ariaLabel="Link to Twitter profile"
        >
          <!-- Twitter Icon Start -->
          <svg
            class="h-10 w-10 fill-current"
            xmlns="http://www.w3.org/2000/svg"
            viewBox="4 4 110 82.12"
          >
            <path
              d="M101.106 21.006c-.915-1.48-3.675-1.12-5.692-1.5H90.92c.572-1.426 1.384-2.613 2.1-3.896.223-1.77 1.025-2.966.898-5.093.523-.673.711-1.685 1.197-2.398.418-.583.98-1.928.3-2.695-.206-.893-1.19-1.005-2.397-.898-.354.146-.68.317-.896.6-1.812 1.75-3.148 4.098-5.098 5.691-.037.033-.249-.002-.3 0-.349.02-.132.188-.302.3-.592.394-1.04.615-1.493.9-1.15.712-2.212 1.8-3.6 2.097-2.14-.855-4.679-1.317-7.49-1.497-4.679.412-9.313.871-12.285 2.994-3.683 1.416-5.972 4.214-8.69 6.594-.2 1.296-1.383 1.61-1.497 2.996-.019.183-.047.354-.299.3.174.973-.205 1.393-.299 2.097-.002.537.807 1.743 0 2.1-3.323-.483-6.006-2.547-8.69-3.898-2.902-1.457-5.938-2.439-8.389-4.492-2.895-1.303-5.094-3.3-7.19-5.394-.84-1.26-2.193-2.004-2.7-3.598-1.532-.665-.708-3.688-2.995-3.595-1.276-.174-1.393.807-1.797 1.498-.285.915-1.46.94-1.5 2.097-.017.185-.044.356-.299.302-.688 4.404-2.133 8.055-2.098 13.182.521 1.678 1.413 2.986 2.396 4.196-1.69.205-2.894.898-3.596 2.1-.24 4.34 1.528 6.662 3 9.285.542 1.556 1.421 2.771 2.396 3.896.07.928.833 1.165 1.196 1.8.075.426.495.504.602.898-.162.431 1.167.73.297.896-1.67.527-4.109.285-5.093 1.5-.442 1.128-.442 3.368 0 4.494.138.96 1.141 1.057 1.198 2.097 2.02 1.683 4.374 3.021 6.595 4.497 2.324.67 4.9 1.092 7.49 1.497-.414 1.386-1.367 2.228-2.397 2.995-3.154 1.542-7.475 1.916-11.089 2.996-2.244.152-3.863.93-6.29.9-1.344.514-3.452.303-4.495.898-.493.277-.41.39-.9.896-.542 1.662.45 2.99 1.796 3.597-.02 1.021.883 1.118 1.501 1.5.358.74 1.025 1.171 1.797 1.497 2.203 1.891 5.126 3.066 7.792 4.496 3.353.74 6.665 1.523 10.188 2.097 3.622.472 7.687.503 11.385.897h3.895c2.066.533 4.977.22 7.49.301.386-.412 1.304-.297 2.1-.3 2.11-1.087 4.835-1.556 6.593-2.995 2.321-.975 3.998-2.596 6.293-3.596 3.502-3.093 7.832-5.354 10.186-9.59.83-.769 1.42-1.777 1.801-2.996 1.067-.632 1.557-1.838 2.395-2.697 1.635-1.66 2.856-3.736 4.195-5.693 1.291-2.006 2.33-4.264 3.598-6.29-.039-1.64 1.234-1.96 1.197-3.599.782-.914.715-2.678 1.502-3.595-.137-1.03.117-1.678.297-2.398.188-5.18-.19-9.795-1.2-13.78 2.375-.626 4.774-1.22 6.595-2.398 2.125-.747 4.036-2.35 3.29-5.093zm-13.78 16.48c-.62 3.475-2.49 5.7-4.197 8.09.236 1.532-.42 2.175-.297 3.596a17.398 17.398 0 0 0-1.502 4.193c-.82 1.077-1.342 2.45-2.095 3.596-1.483 2.216-3.146 4.248-4.795 6.294-1.528 2.266-3.688 3.901-5.396 5.991-1.699 1.994-3.81 3.58-5.69 5.394a20.153 20.153 0 0 0-5.095 2.697c-.938.363-1.87.727-2.694 1.2-.716.586-2.02.58-2.7 1.196-4.396.598-9.303.687-14.379.6-4.168-.426-8.552-.64-12.288-1.499-3.73-.765-6.112-2.878-9.289-4.194.62-.977 2.566-.625 3.896-.897.125-.672 1.592-.009 1.795-.6 1.041.24 1.153-.447 2.1-.3 2.28-.813 4.976-1.219 6.893-2.397 1.14-.556 1.641-1.753 2.696-2.396.134-.767.418-1.38.896-1.799.193-1.109.814-1.784.601-3.296.45-.849 1.21-1.385 1.198-2.698-.3-.594-.519-1.279-1.198-1.499-.106-.792-1.526-.27-1.797-.896-1.03.13-1.682-.119-2.397-.303-.622-.176-1.97.371-2.098-.299-3.403-.093-5.255-1.738-7.49-2.994 1.738-1.056 4.171-1.422 5.39-2.998 2.088-.31 4.277-.52 4.497-2.696 0-2.895-3.118-2.673-5.39-3.297-3.129-2.666-4.832-6.757-7.194-10.187.963-.636 2.283-.913 2.994-1.797 1.836.235 2.185-1.014 2.698-2.099.076-1.974-1.345-2.449-2.398-3.297-1.045-.85-1.92-1.87-2.695-2.994-.012-3.309-.087-6.68.3-9.59.254-.056.283.116.298.3.915 1.784 2.261 3.132 3.297 4.793 2.15 1.446 3.742 3.45 6.292 4.497 1.83 1.668 4.482 2.511 6.295 4.194 2.43 1.065 4.685 2.304 6.89 3.595 2.707.79 4.27 2.722 8.09 2.397.804-.392 1.594-.804 2.397-1.2 1.043-1.842-.235-4.36.598-6.59 1.031-2.664 3.225-4.17 5.094-5.992 1.172-.626 2.242-1.356 3.297-2.1 1.404-.394 2.727-.87 3.896-1.497 1.521-.078 2.884-.313 4.197-.599h5.094c.985.211 1.916.482 2.994.6.844.553 1.535 1.263 2.694 1.496 3.19 2.805 5.133 6.858 5.697 12.288-.5 1.96.21 3.537 0 5.992zm1.195-22.774c-.52 1.377-.934 2.86-2.398 3.297-.068-.427-.49-.505-.596-.898-.048-.846.848-.75 1.197-1.198.66-.342.992-1.004 1.797-1.2-.027-.362.438-.186 0 0zM66.35 26.997c.656.544 1.146 1.252 2.098 1.5.406.893 1.271 1.323 2.398 1.497.19-.608 1.398-.196 1.496-.898.703-.094.672-.927 1.2-1.2-.075-2.223-.522-4.07-1.499-5.393-3.065-1.709-6.777.16-5.693 4.494z"
            />
          </svg>
          <!-- Twitter Icon End -->
        </hyper-link>
      </div>
      <subscription-form class="flex-1 mt-6 lg:mt-0" />
    </section>

    <section
      class="p-4 border-t border-gray-300 sm:p-8 lg:flex-no-wrap lg:flex-row lg:items-start lg:justify-between lg:content-between xl:px-16"
    >
      <p class="mt-0 text-sm text-white font-light">
        Copyright © 2019
        <hyper-link class="text-white hover:text-gray-400 underline" to="//www.adabits.org/">Adab1ts</hyper-link>· Crafted lovingly in Barri de Sants, Barcelona
      </p>
    </section>
  </footer>
</template>

<script>
import SubscriptionForm from '~/components/common/SubscriptionForm';

export default {
  name: 'Footer',
  components: {
    SubscriptionForm,
  },
  inject: ['site'],
  data() {
    const { email, twitter } = this.site.settings;

    return {
      email,
      twitter,
    };
  },
  computed: {
    links() {
      const { footer_items } = this.site.navigation;

      return footer_items.map(item => ({
        id: item.id,
        label: item.label,
        path: this.site.routes[item.id],
      }));
    },
    logo() {
      const { image, description } = this.site.logos.secondary;

      return {
        image: require(`!!assets-loader!../../../static${image}`),
        description,
      };
    },
  },
};
</script>